//
//  AboutUsVc.swift
//  WOKA
//
//  Created by MacBook Pro on 03/06/24.
//

import UIKit

class AboutUsVc: UIViewController {

    @IBOutlet weak var topView: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.title = "About Woka"
        // Do any additional setup after loading the view.
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        self.navigationController?.setColor(color: .black)
        navigationController?.setNavigationBarHidden(false, animated: animated)
    }
    
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        navigationController?.setNavigationBarHidden(true, animated: animated)
        self.navigationController?.setColor(color: .white)
        if self.isMovingFromParent {
            // Back button was pressed
            PersistentStorage.shared.addOthersCount()
        }
    }

}


class BottomHalfCircleView: UIView {
    override func draw(_ rect: CGRect) {
        // Define the center and radius for the circle
        let center = CGPoint(x: rect.midX, y: rect.midY)
        let radius = rect.width / 2
        
        // Create a UIBezierPath for the bottom half circle
        let path = UIBezierPath(arcCenter: center, radius: radius, startAngle: 0, endAngle: CGFloat.pi, clockwise: true)
        
        // Close the path to ensure it's a half circle
        path.close()
        
        // Set the fill color
        UIColor.red.setFill()
        
        // Fill the path
        path.fill()
    }
}
